plugins {
    id 'com.android.library'
    id 'org.jetbrains.kotlin.android'
    id 'kotlin-kapt'
    id 'kotlin-parcelize'
    id 'com.google.devtools.ksp'
}

android {
    compileSdkVersion rootProject.ext.compileSdkVersion

    defaultConfig {

        javaCompileOptions {
            annotationProcessorOptions {
                arguments = [eventBusIndex: 'com.gh.EventBusIndex']
            }
        }

        vectorDrawables.useSupportLibrary = true

        minSdkVersion rootProject.ext.minSdkVersion
        targetSdkVersion rootProject.ext.targetSdkVersion
        versionCode rootProject.ext.versionCode
        versionName rootProject.ext.versionName

        renderscriptTargetApi 18
        renderscriptSupportModeEnabled true

        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"
        /**
         * Build Time 供区分 jenkins 打包时间用
         * IS_NIGHT_MODE_ON 供区分深色模式功能是否启用
         */
        buildConfigField "long", "BUILD_TIME", "0"
    }

    buildFeatures {
        viewBinding true
    }

    buildTypes {
        release {
            consumerProguardFiles 'proguard-rules.pro'
        }
    }
    compileOptions {

        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }
    kotlinOptions {
        jvmTarget = '1.8'
    }
}

dependencies {
    api fileTree(include: ['*.jar', '*.aar'], dir: 'libs')

    api "androidx.constraintlayout:constraintlayout:${constraintLayout}"
    api "androidx.asynclayoutinflater:asynclayoutinflater:${asynclayoutinflater}"
    ksp "cn.therouter:apt:${routerVersion}"
    kapt "com.google.auto.service:auto-service:${autoServiceVersion}"
    api "com.louiscad.splitties:splitties-views-dsl:${splitties}"
    api "com.louiscad.splitties:splitties-views-dsl-constraintlayout:${splitties}"
    api "com.github.nichbar:AndroidRomChecker:${romChecker}"
    api "androidx.cardview:cardview:${cardView}"
    api "com.google.android.material:material:${material}"
    api "com.scwang.smartrefresh:SmartRefreshLayout:${smartRefreshLayout}"
    api "com.github.PhilJay:MPAndroidChart:${chart}"
    api "org.greenrobot:eventbus:${eventbus}"
    kapt "org.greenrobot:eventbus-annotation-processor:${eventbusApt}"
    api "com.tencent.mm.opensdk:wechat-sdk-android-without-mta:${mta}"
    api "androidx.room:room-runtime:${room}"
    api "androidx.room:room-rxjava2:${room}"
    api "androidx.room:room-ktx:${room}"
    ksp("androidx.room:room-compiler:${room}")
    api "androidx.collection:collection-ktx:${collection}"
    api "androidx.activity:activity:${activity}"
    api "androidx.activity:activity-ktx:${activity}"
    api ("com.volcengine:volc-tls-android-sdk:${volcTlsVersion}", {
        exclude group: 'com.squareup.okhttp3'
        exclude group: 'junit'
        exclude group: 'com.google.code.gson'
        exclude group: 'org.projectlombok'
        exclude group: 'com.alibaba'
    })
    debugApi "com.lg:chucker:${chucker}"
    releaseApi "com.lg:chucker-no-op:${chucker}"
    debugApi "com.squareup.okhttp3:logging-interceptor:${okHttp}"
    api ("com.volcengine:ve-tos-android-sdk:${oss}") {
        exclude group: 'com.squareup.okhttp3'
    }
    api "io.github.sinaweibosdk:core:${weiboSDK}"
    api "com.lg:skeleton:${skeleton}"
    api "com.google.android.flexbox:flexbox:${flexbox}"
    api "com.blankj:utilcodex:${blankjUtilCodex}"

    api(project(path: ":module_core"))
}